@if (adminProjectViewComponentData.project.statusesInUse) {
  <div class="project-execution-grid">
    <sqtm-core-label
      [text]="
        'sqtm-core.administration-workspace.views.project.testcase-modification-during-execution.label'
          | translate
      "
      class="test-case-modification-label"
    >
    </sqtm-core-label>
    <nz-switch
      [(ngModel)]="adminProjectViewComponentData.project.allowTcModifDuringExec"
      [nzControl]="true"
      [nzCheckedChildren]="checkedTemplate"
      [nzUnCheckedChildren]="unCheckedTemplate"
      [attr.data-test-switch-id]="'allowTcModifDuringExec'"
      (click)="changeAllowTcModifDuringExec()"
    >
    </nz-switch>
    <sqtm-core-label
      [text]="
        'sqtm-core.administration-workspace.views.project.optional-status.label'
          | translate
      "
    >
    </sqtm-core-label>
    <div>
      <label
        class="untestable-label"
        [style.background-color]="executionStatus.UNTESTABLE.color"
        [style.color]="executionStatus.UNTESTABLE.textColor"
      >
        {{ executionStatus.UNTESTABLE.i18nKey | translate | capitalize }}
      </label>
    </div>
    <nz-switch
      [(ngModel)]="
        adminProjectViewComponentData.project.allowedStatuses['UNTESTABLE']
      "
      [nzControl]="true"
      [nzCheckedChildren]="checkedTemplate"
      [nzUnCheckedChildren]="unCheckedTemplate"
      [attr.data-test-switch-id]="'untestableStatus'"
      (click)="changeExecutionStatusOnProject($event, 'UNTESTABLE')"
    >
    </nz-switch>

    <div class="optional-div grid-column-start-2">
      <label
        class="settled-label"
        [style.background-color]="executionStatus.SETTLED.color"
        [style.color]="executionStatus.SETTLED.textColor"
      >
        {{ executionStatus.SETTLED.i18nKey | translate | capitalize }}
      </label>
    </div>
    <nz-switch
      [(ngModel)]="
        adminProjectViewComponentData.project.allowedStatuses['SETTLED']
      "
      [nzControl]="true"
      [nzCheckedChildren]="checkedTemplate"
      [nzUnCheckedChildren]="unCheckedTemplate"
      [attr.data-test-switch-id]="'settledStatus'"
      (click)="changeExecutionStatusOnProject($event, 'SETTLED')"
    ></nz-switch>
    <ng-template #checkedTemplate
      ><i nz-icon nzType="check" class="table-icon-size"></i
    ></ng-template>
    <ng-template #unCheckedTemplate
      ><i nz-icon nzType="close" class="table-icon-size"></i
    ></ng-template>
  </div>
} @else {
  <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
}
